<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>MapBuildingLayer (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MapBuildingLayer (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapBuildingLayer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.BuildingFace.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapBuildingLayer.html" target="_top">Frames</a></li>
<li><a href="MapBuildingLayer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.mapping</div>
<h2 title="Class MapBuildingLayer" class="title">Class MapBuildingLayer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.mapping.MapBuildingLayer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">MapBuildingLayer</span>
extends java.lang.Object</pre>
<div class="block">Represents a map layer that enables interactions with extruded buildings.
 <p>
 This class can be used to find <a href="../../../../../com/here/android/mpa/mapping/MapBuildingObject.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingObject</code></a> and create <a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingGroup</code></a>
 instances.
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/Map.html#getMapBuildingLayer--"><code>Map.getMapBuildingLayer()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.html" title="class in com.here.android.mpa.mapping">MapBuildingLayer.BuildingSearchResult</a></span></code>
<div class="block">Represents search results information for a building search</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingColor.html" title="enum in com.here.android.mpa.mapping">MapBuildingLayer.DefaultBuildingColor</a></span></code>
<div class="block">A set of pre-defined colors to change a <a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingGroup</code></a>'s color property</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingGroups.html" title="enum in com.here.android.mpa.mapping">MapBuildingLayer.DefaultBuildingGroups</a></span></code>
<div class="block">Default groups of buildings on the <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping">MapBuildingGroup</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#createNewBuildingGroup--">createNewBuildingGroup</a></span>()</code>
<div class="block">Create a new <a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingGroup</code></a> for custom building selection.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping">MapBuildingGroup</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#createNewBuildingGroup-com.here.android.mpa.mapping.MapBuildingLayer.DefaultBuildingColor-">createNewBuildingGroup</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingColor.html" title="enum in com.here.android.mpa.mapping">MapBuildingLayer.DefaultBuildingColor</a> color)</code>
<div class="block">Create a new <a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingGroup</code></a> with the given color for custom building selection.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapBuildingObject.html" title="class in com.here.android.mpa.mapping">MapBuildingObject</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#getBuilding-com.here.android.mpa.common.Identifier-">getBuilding</a></span>(<a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a> buildingId)</code>
<div class="block">Find a particular building on the <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a></div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapBuildingObject.html" title="class in com.here.android.mpa.mapping">MapBuildingObject</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#getBuilding-com.here.android.mpa.common.Identifier-com.here.android.mpa.common.GeoCoordinate-">getBuilding</a></span>(<a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a> buildingId,
           <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> positionHint)</code>
<div class="block">Find a particular building on the <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> around the given position.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.html" title="class in com.here.android.mpa.mapping">MapBuildingLayer.BuildingSearchResult</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#getBuildingsInside-com.here.android.mpa.common.GeoBoundingBox-">getBuildingsInside</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> boundingBox)</code>
<div class="block">Find all buildings located inside a <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping">MapBuildingGroup</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#getDefaultBuildingGroup-com.here.android.mpa.mapping.MapBuildingLayer.DefaultBuildingGroups-">getDefaultBuildingGroup</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingGroups.html" title="enum in com.here.android.mpa.mapping">MapBuildingLayer.DefaultBuildingGroups</a> group)</code>
<div class="block">Get a building group of a <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingGroups.html" title="enum in com.here.android.mpa.mapping"><code>MapBuildingLayer.DefaultBuildingGroups</code></a> type.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.HashMap&lt;<a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a>,java.lang.Float&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#getTransparency-java.util.List-">getTransparency</a></span>(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a>&gt; buildingIds)</code>
<div class="block">Retrieve the transparency (alpha) [0,1] factor of a list of buildings.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.HashMap&lt;<a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a>,java.lang.Float&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#getVerticalScale-java.util.List-">getVerticalScale</a></span>(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a>&gt; buildingIds)</code>
<div class="block">Retrieve the vertical scale [0,1] factor of a list of buildings.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#releaseBuildingGroup-com.here.android.mpa.mapping.MapBuildingGroup-">releaseBuildingGroup</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping">MapBuildingGroup</a> group)</code>
<div class="block">Release the <a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingGroup</code></a> created for custom building selection.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBuilding-com.here.android.mpa.common.Identifier-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuilding</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapBuildingObject.html" title="class in com.here.android.mpa.mapping">MapBuildingObject</a> getBuilding(<a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a> buildingId,
                                     <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> positionHint)</pre>
<div class="block">Find a particular building on the <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> around the given position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>buildingId</code> - <a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common"><code>Identifier</code></a> of the building.
            Obtainable from <a href="../../../../../com/here/android/mpa/search/PlaceLink.html" title="class in com.here.android.mpa.search"><code>PlaceLink</code></a>. This
            parameter can be <code>null</code>, if it is <code>null</code> it will try to find the
            building located at <code>positionHint</code>.</dd>
<dd><code>positionHint</code> - A <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> of the
            approximate location of the building.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapBuildingObject.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingObject</code></a></dd>
</dl>
</li>
</ul>
<a name="getBuilding-com.here.android.mpa.common.Identifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuilding</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapBuildingObject.html" title="class in com.here.android.mpa.mapping">MapBuildingObject</a> getBuilding(<a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a> buildingId)</pre>
<div class="block">Find a particular building on the <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>buildingId</code> - <a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common"><code>Identifier</code></a> of the building.
            Obtainable from <a href="../../../../../com/here/android/mpa/search/PlaceLink.html" title="class in com.here.android.mpa.search"><code>PlaceLink</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapBuildingObject.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingObject</code></a></dd>
</dl>
</li>
</ul>
<a name="getBuildingsInside-com.here.android.mpa.common.GeoBoundingBox-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuildingsInside</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.html" title="class in com.here.android.mpa.mapping">MapBuildingLayer.BuildingSearchResult</a> getBuildingsInside(<a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> boundingBox)</pre>
<div class="block">Find all buildings located inside a <a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a>. This API will return all buildings located inside a bounding box area. Map
 data for this area must be downloaded. If the search result returns
 <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.ErrorCode.html#NEEDS_DATA"><code>MapBuildingLayer.BuildingSearchResult.ErrorCode.NEEDS_DATA</code></a>, retry the request after some delay.
 Map data download request will be triggered.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>boundingBox</code> - A <code>GeoBoundingBox</code> representing the bounding box area.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingLayer.BuildingSearchResult</code></a>. Use the method
         <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.html#getResultCode--"><code>MapBuildingLayer.BuildingSearchResult.getResultCode()</code></a> to determine success of the operation.
         Building results can be retrieved via <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.html#getResults--"><code>MapBuildingLayer.BuildingSearchResult.getResults()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDefaultBuildingGroup-com.here.android.mpa.mapping.MapBuildingLayer.DefaultBuildingGroups-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultBuildingGroup</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping">MapBuildingGroup</a> getDefaultBuildingGroup(<a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingGroups.html" title="enum in com.here.android.mpa.mapping">MapBuildingLayer.DefaultBuildingGroups</a> group)</pre>
<div class="block">Get a building group of a <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingGroups.html" title="enum in com.here.android.mpa.mapping"><code>MapBuildingLayer.DefaultBuildingGroups</code></a> type. The default building group is a
 generic group that represents all possible buildings of that type in the entire world.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>group</code> - One of the values in the enum <code>DefaultBuildingGroups</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingGroup</code></a></dd>
</dl>
</li>
</ul>
<a name="createNewBuildingGroup--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNewBuildingGroup</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping">MapBuildingGroup</a> createNewBuildingGroup()</pre>
<div class="block">Create a new <a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingGroup</code></a> for custom building selection.
 <p>
 At run time, there can only be a maximum number of <code>MapBuildingGroup</code>s, when
 the limit is reached, no new <code>MapBuildingGroup</code> can be created unless some are
 being freed up by calling <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#releaseBuildingGroup-com.here.android.mpa.mapping.MapBuildingGroup-"><code>MapBuildingLayer.releaseBuildingGroup(MapBuildingGroup)</code></a>.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>MapBuildingGroup</code>. By default, a new <code>MapBuildingGroup</code> has the
         <code>MapBuildingGroup</code> with color <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingColor.html#SELECTED"><code>MapBuildingLayer.DefaultBuildingColor.SELECTED</code></a>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#releaseBuildingGroup-com.here.android.mpa.mapping.MapBuildingGroup-"><code>MapBuildingLayer.releaseBuildingGroup(MapBuildingGroup)</code></a></dd>
</dl>
</li>
</ul>
<a name="createNewBuildingGroup-com.here.android.mpa.mapping.MapBuildingLayer.DefaultBuildingColor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNewBuildingGroup</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping">MapBuildingGroup</a> createNewBuildingGroup(<a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingColor.html" title="enum in com.here.android.mpa.mapping">MapBuildingLayer.DefaultBuildingColor</a> color)</pre>
<div class="block">Create a new <a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingGroup</code></a> with the given color for custom building selection.
 <p>
 At run time, there can only be a maximum number of <code>MapBuildingGroup</code>s, when
 the limit is reached, no new <code>MapBuildingGroup</code> can be created unless some are
 being freed up by calling <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#releaseBuildingGroup-com.here.android.mpa.mapping.MapBuildingGroup-"><code>MapBuildingLayer.releaseBuildingGroup(MapBuildingGroup)</code></a>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - Color of buildings in the new <code>MapBuildingGroup</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>MapBuildingGroup</code>. Returns <code>null</code> if no more new
         <code>MapBuildingGroup</code> can be created. At run time, there is a maximum number of
         <code>MapBuildingGroup</code>s created. When the limit is reached, no new
         <code>MapBuildingGroup</code> can be created unless some are being freed up by calling
         <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#releaseBuildingGroup-com.here.android.mpa.mapping.MapBuildingGroup-"><code>MapBuildingLayer.releaseBuildingGroup(MapBuildingGroup)</code></a>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#releaseBuildingGroup-com.here.android.mpa.mapping.MapBuildingGroup-"><code>MapBuildingLayer.releaseBuildingGroup(MapBuildingGroup)</code></a></dd>
</dl>
</li>
</ul>
<a name="releaseBuildingGroup-com.here.android.mpa.mapping.MapBuildingGroup-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>releaseBuildingGroup</h4>
<pre>public void releaseBuildingGroup(<a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping">MapBuildingGroup</a> group)</pre>
<div class="block">Release the <a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingGroup</code></a> created for custom building selection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>group</code> - The <code>MapBuildingGroup</code> to be released. The <code>MapBuildingGroup</code> instance
            becomes invalid and unusable again. To create a new <code>MapBuildingGroup</code>,
            use <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#createNewBuildingGroup--"><code>MapBuildingLayer.createNewBuildingGroup()</code></a>.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if group is a default <code>MapBuildingGroup</code> retrieved from
             <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#getDefaultBuildingGroup-com.here.android.mpa.mapping.MapBuildingLayer.DefaultBuildingGroups-"><code>getDefaultBuildingGroup(DefaultBuildingGroups)</code></a>.</dd>
</dl>
</li>
</ul>
<a name="getTransparency-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransparency</h4>
<pre>public java.util.HashMap&lt;<a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a>,java.lang.Float&gt; getTransparency(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a>&gt; buildingIds)</pre>
<div class="block">Retrieve the transparency (alpha) [0,1] factor of a list of buildings. This is useful to
 animate any markers that are anchored to specific buildings.
 <p>
 This API can be used in conjunction with <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#getVerticalScale-java.util.List-"><code>MapBuildingLayer.getVerticalScale(List)</code></a> to perform custom
 animations of <a href="../../../../../com/here/android/mpa/mapping/MapMarker.html" title="class in com.here.android.mpa.mapping"><code>MapMarker</code></a>. This API should be called from
 <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onPostDraw-boolean-long-"><code>OnMapRenderListener.onPostDraw(boolean, long)</code></a> to
 synchronize with rendering.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>buildingIds</code> - A <code>List</code> of <a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common"><code>identifiers</code></a> for
            the buildings of which the current transparency are to be retrieved</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <code>HashMap</code> of <code>Identifier</code>-to-transparency mappings.</dd>
</dl>
</li>
</ul>
<a name="getVerticalScale-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getVerticalScale</h4>
<pre>public java.util.HashMap&lt;<a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a>,java.lang.Float&gt; getVerticalScale(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a>&gt; buildingIds)</pre>
<div class="block">Retrieve the vertical scale [0,1] factor of a list of buildings. This is useful to animate
 any markers that are anchored to specific buildings.
 <p>
 This API can be used in conjunction with <a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html#getTransparency-java.util.List-"><code>MapBuildingLayer.getTransparency(List)</code></a> to perform custom
 animations of <a href="../../../../../com/here/android/mpa/mapping/MapMarker.html" title="class in com.here.android.mpa.mapping"><code>MapMarker</code></a>. This API should be called from
 <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html#onPostDraw-boolean-long-"><code>OnMapRenderListener.onPostDraw(boolean, long)</code></a> to
 synchronize with rendering.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>buildingIds</code> - A <code>List</code> of <a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common"><code>identifiers</code></a>
            identifiers for the buildings of which the current vertical scale are to be
            retrieved.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <code>HashMap</code> of the <code>Identifier</code>-to-scaling factor mappings.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapBuildingLayer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.BuildingFace.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapBuildingLayer.html" target="_top">Frames</a></li>
<li><a href="MapBuildingLayer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
